import project, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from anuga.abstract_2d_finite_volumes.util import Screen_Catcher
from os import sep

time_dir = '20061006_062319' # Mw 8-5

directory = project.outputdir
name = directory + time_dir +sep + 'source'

print 'output dir:', name
which_var = 4
if which_var == 0:  # Stage
    outname = name + '_stage'
    quantityname = 'stage'

if which_var == 1:  # Absolute Momentum
    outname = name + '_momentum'
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  #Absolute momentum

if which_var == 2:  # Depth
    outname = name + '_depth_bruny'
    quantityname = 'stage-elevation'  #Depth

if which_var == 3:  # Speed
    outname = name + '_speed'
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed

if which_var == 4:  # Elevation
    outname = name + '_elevation'
    quantityname = 'elevation'  #Elevation

print 'start sww2dem'
# for hobart
##sww2dem(name, basename_out = outname,
##            quantity = quantityname,
##            cellsize = 25,      # would prefer this at 25
##            # define region for viz purposes
##            easting_min = project.eastingmin25,
##            easting_max = project.eastingmax25,
##            northing_min = project.northingmin25,
##            northing_max = project.northingmax25,        
##            reduction = max, #this is because we want max quantityname
##            verbose = True,
##            format = 'asc')

# for bruny
sww2dem(name, basename_out = outname,
            quantity = quantityname,
            cellsize = 25,      # would prefer this at 25
            # define region for viz purposes
            easting_min = project.eastingmin25_2,
            easting_max = project.eastingmax25_2,
            northing_min = project.northingmin25_2,
            northing_max = project.northingmax25_2,        
            reduction = max, #this is because we want max quantityname
            verbose = True,
            format = 'asc')
